curl --request GET \
--url https://app.titanx.io/api/jobs \
--header 'Authorization: Bearer <token>'{
"jobs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"jobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "Init",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 123,
"pageSize": 123,
"total": 123
}
}List all jobs for the authenticated user. ⚠️ Deprecated - Use /api/public/v2/jobs instead.
curl --request GET \
--url https://app.titanx.io/api/jobs \
--header 'Authorization: Bearer <token>'{
"jobs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"jobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "Init",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 123,
"pageSize": 123,
"total": 123
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.